Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0048121
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2021-11-22 13:512021-12-02 08:15
Reporterhector_hernaezView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR22Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression levelProduction - Confirmed Stable
Regression date2021-05-27
Regression introduced in release
Regression introduced by commithttps://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/2d16fc3f4fe1958c08c7e82436775bedee5eff57 [^]
Triggers an Emergency PackNo
Summary

0048121: webPOS doesn't load the payments added in the backoffice

DescriptionWhen a payment is added to a sales order in the backoffice, that payment is not loaded in the webPOS. It is happening in 21Q4.1 version.
Customer says that this didn't happen in previous versions.
Steps To ReproduceReproduced in this environment:
https://livebuilds.openbravo.com/retail_mp_3.0RR21Q4.1/web/org.openbravo.retail.posterminal/?terminal=VBS-1#login [^]

STEPS:

- In webPOS add the product 'Adhesive body warmers'.
- Press on search for customer button and add 'Arturo Montoro'.
- In left menu select 'Layaway this Receipt'.
- Press on total button and after in 'Layaway' button.

- Now go to the backoffice and go to 'Sales order' tab.
- Select the sales order we have just done.
- Press on 'Add payment' button.
- Fill 'Payment Method' with Wire Transfer and 'Deposit to' with 'Bank account 1 - ....'.
- Press 'Done'.
- In 'Payment plan' and 'Payment Details' you will see that the payment has been correctly added.

- Go back again to webPOS.
- In left menu select 'Open receipt' and look for the las one we have created in this process.
- You will see that no payment has been added and in the total you will see that it appears '3.60€ remaining to pay'.


Here you have the link with the video that the client has sent with the steps for more information:

https://watch.screencastify.com/v/XFeTQ8YakhmHtTs5KMGA [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0048128 scheduledranjith_qualiantech_com webPOS doesn't load the payments added in the backoffice 
depends on backport 0048129 scheduledranjith_qualiantech_com webPOS doesn't load the payments added in the backoffice 
caused by defect 0046700RR20Q3.4 closedrqueralta Grey screen doing a Cancel and Replace of receipts paid with Digital Coupon 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0133275)
hgbot (developer)
2021-11-23 11:54

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/634 [^]
(0133336)
hgbot (developer)
2021-11-25 02:06

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.bypaymentmethod/-/merge_requests/8 [^]
(0133337)
hgbot (developer)
2021-11-25 02:06

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.rtserver/-/merge_requests/12 [^]
(0133455)
hgbot (developer)
2021-12-02 08:15

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/634 [^]
(0133456)
hgbot (developer)
2021-12-02 08:15

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.bypaymentmethod/-/merge_requests/8 [^]
(0133457)
hgbot (developer)
2021-12-02 08:15

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 83b0d612355d09a718edba405f39d04358b654b4
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-12-02T07:03:57+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/83b0d612355d09a718edba405f39d04358b654b4 [^]

Fixed ISSUE-48121: PaidReceipt should show payment info irrespective of terminal
* If PaidReceiptsPaymentsTypeTerminalHook doesn't return any payments,
  then payment info should be shown irrespective of terminal

---
M src/org/openbravo/retail/posterminal/PaidReceipts.java
---
(0133458)
hgbot (developer)
2021-12-02 08:15

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.bypaymentmethod [^]
Changeset: e4e99e564e97aa4ed51c771d2068cf0d916c6838
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-11-24T22:41:48+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.bypaymentmethod/-/commit/e4e99e564e97aa4ed51c771d2068cf0d916c6838 [^]

Related to ISSUE-48121: Payment should be validated when adding and removing discount

---
M web/org.openbravo.retail.discounts.bypaymentmethod/js/paymentmethod-discount.js
---
(0133459)
hgbot (developer)
2021-12-02 08:15

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.rtserver [^]
Changeset: 560a61dcfbbf543fbede975620544d0ce29d2112
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-12-02T07:04:01+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.rtserver/-/commit/560a61dcfbbf543fbede975620544d0ce29d2112 [^]

Related to ISSUE-48121: Payment should be validated when saving receipt with lotterycode

---
M web/org.openbravo.retail.rtserver/js/utils/utils.js
---
(0133460)
hgbot (developer)
2021-12-02 08:15

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.rtserver/-/merge_requests/12 [^]

- Issue History
Date Modified Username Field Change
2021-11-22 13:51 hector_hernaez New Issue
2021-11-22 13:51 hector_hernaez Assigned To => Triage Finance
2021-11-22 13:51 hector_hernaez Modules => Core
2021-11-22 13:51 hector_hernaez Triggers an Emergency Pack => No
2021-11-22 14:01 Practics Issue Monitored: Practics
2021-11-22 15:48 vmromanos Assigned To Triage Finance => Retail
2021-11-23 06:30 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2021-11-23 07:16 ranjith_qualiantech_com Relationship added caused by 0046700
2021-11-23 07:18 ranjith_qualiantech_com Regression level => Production - Confirmed Stable
2021-11-23 07:18 ranjith_qualiantech_com Regression date => 2021-05-27
2021-11-23 07:18 ranjith_qualiantech_com Regression introduced in release => PR21Q3
2021-11-23 07:18 ranjith_qualiantech_com Regression introduced by commit => https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/2d16fc3f4fe1958c08c7e82436775bedee5eff57 [^]
2021-11-23 07:42 marvintm Status new => scheduled
2021-11-23 11:54 hgbot Note Added: 0133275
2021-11-24 07:51 marvintm Project Openbravo ERP => Retail Modules
2021-11-24 07:52 marvintm Regression introduced in release PR21Q3 =>
2021-11-24 07:52 marvintm Severity critical => major
2021-11-24 07:52 marvintm Category 07. Sales management => Adyen
2021-11-24 07:54 marvintm Category Adyen => Web POS
2021-11-25 02:06 hgbot Note Added: 0133336
2021-11-25 02:06 hgbot Note Added: 0133337
2021-12-02 08:15 hgbot Note Added: 0133455
2021-12-02 08:15 hgbot Note Added: 0133456
2021-12-02 08:15 hgbot Resolution open => fixed
2021-12-02 08:15 hgbot Status scheduled => closed
2021-12-02 08:15 hgbot Fixed in Version => RR22Q1
2021-12-02 08:15 hgbot Note Added: 0133457
2021-12-02 08:15 hgbot Note Added: 0133458
2021-12-02 08:15 hgbot Note Added: 0133459
2021-12-02 08:15 hgbot Note Added: 0133460


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker